#include <bits/stdc++.h>
using namespace std;

int zero[200007];
long long p[200007];

int binarna_pretraga(int arr[], int x, int n)
{
    int lb = lower_bound(arr, arr+n, x)-(arr);
    if (arr[lb] == x)
        return lb;
    return lb-1;
}

void napraviPrefiksne(int arr[], int n)
{
    for (int i = 0; i < n; i++)
    {
        if (i == 0)
            p[i] = arr[i];
        else
            p[i] = p[i-1] + arr[i];
    }
}

int napraviNulaNiz(int arr[], int n)
{
    int current = 0;
    for (int i = 0; i < n; i++)
    {
        if (arr[i] == 0)
        {
            zero[current] = i;
            current += 1;
        }
    }
    return current;
}

int delta(int arr[], int n)
{
    int rezultat = 0, phi = -1;
    int broj_nula = napraviNulaNiz(arr, n);
    napraviPrefiksne(zero, broj_nula);
    for (int i = 0; i < n; i++)
    {
        if (arr[i] > 1)
        {
            //cout << ">> " << i << "\n";
            int levaPrefiksna = 0;
            int total = arr[i] - 1;
            //cout << "1>> " << total << "\n";
            int mesto = binarna_pretraga(zero, i, broj_nula);
            //cout << "2>> " << mesto << "\n";
            if (mesto != -1) {
                levaPrefiksna = p[mesto];
                if (phi != -1)
                    levaPrefiksna -= p[phi];
            }
            //cout << "3>> " << levaPrefiksna << "\n";
            int broj_nula_slobodnih_levo = mesto;

            if (phi != -1)
                broj_nula_slobodnih_levo -= (phi+1);
           // cout << "4>> " << broj_nula_slobodnih_levo << "\n";
            //cout << "5>> " << broj_nula_slobodnih_levo << "\n";
            levaPrefiksna = (broj_nula_slobodnih_levo + 1)*i - levaPrefiksna;
            //cout << "6>> " << levaPrefiksna << "\n";
            total = total - (broj_nula_slobodnih_levo + 1);
            //cout << "7>> " << levaPrefiksna << "\n";

            if (mesto != -1)
                phi = mesto;
            phi += total;
            //cout << "8>> " << phi << "\n";
            int desnaPrefiksna = 0;
            if (total > 0) {
                desnaPrefiksna = p[mesto+total];
                if (mesto != -1)
                    desnaPrefiksna -= p[mesto];
                desnaPrefiksna = desnaPrefiksna - total*i;
            }
            rezultat += (levaPrefiksna + desnaPrefiksna);
            //cout << levaPrefiksna << " " << desnaPrefiksna << "\n";
        }
    }
    return rezultat;
}

int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    int n;
    cin >> n;
    int a1[n] = {0}, a2[n] = {0};
    int x, y;
    for (int i = 0; i < n; i++)
    {
        cin >> x >> y;
        x--;
        y--;
        a1[x]++;
        a2[y]++;
    }
    cout << delta(a1, n) + delta(a2, n);
    return 0;
}